<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>

        <body bgcolor="#333333" text="#ffffff" link="#ffffff" alink="#ffffff" vlink="#ffffff" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">
        <table border="0" cellspacing="0" cellpadding="0" id="divpositionlabel1" style="width: 100%; height: 100%;">
        	<tr>
				<td bgcolor="#6e7a83">
              		<table border="0" cellspacing="0" cellpadding="0" width="100%" style="background-image:url('images/toprightbg.gif'); background-position: top left; background-repeat: repeat-x;">
              			<tr>
               				<td width="310" style="background-image:url('images/topleft.gif');">
                				<table border="0" cellspacing="0" cellpadding="0" width="310">
                					<tr>
						             	<td width="310" height="88">
						             		<table border="0" cellspacing="0" cellpadding="0" style="margin: 18px 0px 0px 40px;">
						             			<tr>
						             				 <td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 10px;"/></a></td>
						             				 <td style="color:#ffffff; font-size:10pt; font-weight:bold;" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
						             			</tr>
						             			<tr>
						             				 <td style="color:#ffffff; font-size:10pt;" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
						             			</tr>
						             		</table>
						             	</td>
             						</tr>
                				</table>
               				</td>
               				<td width="100%"><xsl:call-template name="TOP"/></td>
              			</tr>
              		</table>
        		</td>
			</tr>
        	<tr>
				<td style="background-image:url('images/menutopbg.gif'); background-position: top left; background-repeat: repeat-x;"><img src="images/menutop.gif" border="0" width="780" height="5" alt="" /></td>
			</tr>
        	<tr>
				<td bgcolor="#ccd1d5">
         			<table border="0" cellspacing="0" cellpadding="0" width="100%">
         				<tr>
          					<td width="225"><img src="images/menuleft.gif" border="0" width="225" height="33" alt="" /></td>
          					<td width="100%" style="background-color:  #64c5e1; background-image:url('images/menubg.gif'); background-position:  top left; background-repeat: repeat-x;">
           						<table border="0" cellspacing="0" cellpadding="0">
           							<tr>
										<!--CALL TOP-MENU -->
										<xsl:call-template name="TOP-MENU"/>
           							</tr>
           						</table>
          					</td>
         				</tr>
         			</table>
        		</td>
			</tr>
        	<tr>
				<td style="background-image:url('images/menubottombg.gif'); background-position: top left; background-repeat: repeat-x;"><img src="images/menubottom.gif" border="0" width="780" height="25" alt="" /></td>
			</tr>
        	<tr>
				<td bgcolor="#ccd1d5">
         			<table border="0" cellspacing="0" cellpadding="0" width="100%">
         				<tr>
				          <td width="100%" style="background-image:url('images/texttopbg.gif'); background-position: top left; background-repeat: repeat-x;"><img src="images/texttopleft.gif" border="0" width="730" height="52" alt="" /></td>
				          <td><img src="images/texttopright.gif" border="0" width="50" height="52" alt="" /></td>
				        </tr>
				    </table>
        		</td>
			</tr>
	        <tr>
				<td bgcolor="#ccd1d5">
	         		<table border="0" cellspacing="0" cellpadding="0" width="100%">
	         			<tr>
				          <td><img src="images/titleleft.gif" border="0" width="220" height="27" alt="" /></td>
				          <td width="100%" style="background-color:  #ffc800; background-image:url('images/titlebg.gif'); background-position:  top left; background-repeat: repeat-x; color:#461515; font-weight:bold;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				          <td><img src="images/titleright.gif" border="0" width="14" height="27" alt="" /></td>
				        </tr>
	         		</table>
	        	</td>
			</tr>
        	<tr>
				<td height="100%">
         			<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
         				<tr valign="top">
          					<td width="184" style="background-color:  #ccd1d5; background-image:url('images/leftbg.gif'); background-position:  top left; background-repeat: repeat-y;" height="100%">
           						<table border="0" cellspacing="0" cellpadding="0" width="184">
						        	<tr>
								   		<td><img src="images/2ndmenutop.gif" border="0" width="184" height="40" alt="" /></td>
									</tr>
						        	<tr>
								   		<td>
						            		<table border="0" cellspacing="0" cellpadding="0" width="184" style="background-image:url('images/2ndmenubg.gif'); background-position: top left; background-repeat: repeat-y;">
						            			<tr>
													<td style="background-image:url('images/2ndmenutopbg.gif'); background-position: top left; background-repeat: no-repeat;">
						             					<table border="0" cellspacing="0" cellpadding="0" width="184" height="230">
						             						<tr>
																<td style="background-image:url('images/2ndmenubottombg.gif'); background-position: bottom left; background-repeat: no-repeat; padding-left:40px; padding-bottom:50px;" valign="top">
																	<table cellpadding="0" cellspacing="0" border="0" width="100" summary="">
														           		<!-- SUB MENU -->
																		<xsl:call-template name="SUB-MENU">
																			<xsl:with-param name="pageID" select="@ID"/>
															  			</xsl:call-template>
														           		<!-- END SUB MENU -->
																	</table>
													             </td>
															</tr>
													    </table>
										            </td>
												</tr>
								            </table>
								        </td>
									</tr>
					           </table>
					        </td>
					        <td width="100%" class="content" style="padding:20px 36px 0px 36px;">
								<xsl:apply-templates select="PAGE-CONTENT"/>
					        </td>
					        <td width="14" style="background-color:  #ccd1d5; background-image:url('images/textrightbg.gif'); background-position:  top left; background-repeat: repeat-y;"><img src="images/textright.gif" border="0" width="14" height="430" alt="" /></td>
					    </tr>
					</table>
				</td>
			</tr>
			<tr>
				<td bgcolor="#ccd1d5">
					<table border="0" cellspacing="0" cellpadding="0" width="100%">
						<tr>
							<td width="630"><img src="images/bottomleft.gif" border="0" width="630" height="44" alt="" /></td>
          					<td align="right" width="100%" style="background-image:url('images/bottombg.gif'); background-position: top left; background-repeat: repeat-x;"><img src="images/bottomright.gif" border="0" width="150" height="44" alt="" /></td>
         				</tr>
         			</table>
        		</td>
			</tr>
        	<tr>
				<td bgcolor="#ccd1d5" style="background-color:  #ccd1d5; background-image:url('images/bg.gif'); background-position:  top left; background-repeat: repeat-x;" align="right"><img src="images/bgright.gif" border="0" width="569" height="23" alt="" /></td>
			</tr>
        	<tr>
				<td>
         			<table border="0" cellspacing="0" cellpadding="0" width="100%">
         				<tr>
          					<td width="100%" style="background-image:url('images/linebg.gif'); background-position: top left; background-repeat: repeat-x;"><img src="images/lineleft.gif" border="0" width="700" height="2" alt="" /></td>
          					<td width="80"><img src="images/lineright.gif" border="0" width="80" height="2" alt="" /></td>
         				</tr>
         			</table>
        		</td>
			</tr>
        	<tr>
				<td style="background-image:url('images/footerbg.gif'); background-position: top left; background-repeat: repeat-x;">
		        	<table border="0" cellspacing="0" cellpadding="0" width="100%">
		         		<tr>
		          			<td width="1"><div style="width:1px; height:70px;"><spacer type="block" width="1" height="70" /></div></td>
		          			<td width="100%" align="center">
		           				<table border="0" cellspacing="0" cellpadding="0" width="100%">
		           					<tr>
										<td align="center">
		            						<table border="0" cellspacing="0" cellpadding="0">
												<tr>
									    			<!--CALL BOTTOM-MENU -->
									    			<xsl:call-template name="BOTTOM-MENU"/>
		            							</tr>
											</table>
		           						</td>
									</tr>
		           					<tr>
										<td style="color:#b0b3b5; font-size:8pt; padding-top:5px;" align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
									</td>
								</tr>
		           			</table>
		          		</td>
		         	</tr>
		        </table>
        	</td>
		</tr>
    </table>
</body>
</html>

	</xsl:template>


	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>

            
	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
					   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>




	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
			<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>



	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		            <td class="bottommenuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		            <td class="bottommenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                </xsl:when>
                <xsl:otherwise>
		            <td class="bottommenuitem"><a class="bottommenuitem" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
				<td><img src="images/bottommenumark.gif" border="0" width="4" height="4" alt="" /></td>
			</xsl:if>
	</xsl:template>





	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
