<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>
		<HTML>

            <HEAD>
            	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
            	<xsl:apply-templates select="META-TAGS"/>
            	<LINK REL="stylesheet" HREF="css/styles.css" TYPE="text/css" />
				<style>
					img { behavior:url('images/pngbehavior.htc'); }
				</style>
            </HEAD>

            <BODY topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" marginheight="0" marginwidth="0">
            <TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" height="100%" style="background-image: url('images/hbg.gif'); background-repeat: repeat-x;">
            	<!-- HEADER -->
            	<TR>
            		<TD colspan="4" height="176" style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
            		<table cellspacing="0" cellpadding="0" style="margin: 80px 5px 5px 45px;">
            			<tr>
            				<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
            				<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            			</tr>
            			<tr>
            				<td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            			</tr>		
            			</table>
            		</TD>
            	</TR>
            	<!-- END HEADER -->
            	<TR>
            		<TD colspan="4" background="images/menu_bg.jpg" align="center" height="43">
            		<!-- MENU -->
            			<xsl:call-template name="TOP-MENU"/>								
            		<!-- END MENU -->
            		</TD>
            	</TR>
            	<TR>
            		<TD colspan="4" height="1" bgcolor="#8C9194"></TD>
            	</TR>
            	<TR>
            		<TD height="159" valign="top" class="left-bg">
            		<!-- SUBMENU -->
					<table cellpadding="0" cellspacing="0" width="146" style="background-image: url('images/menu2_bg.gif'); background-position: bottom;">
						<tr><td colspan="2" height="20"></td></tr>
						<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						<tr><td colspan="2" height="20"></td></tr>
					</table>
            		<!-- END SUBMENU -->
            		</TD>
            		<TD width="2" background="images/vline.gif"><img src="images/vline.gif" width="2" height="200"/></TD>
            		<TD width="100%" height="100%" class="content" valign="top" name="SB_stretch" style="background-image: url('images/bg.gif'); background-position: top; background-repeat: repeat-x;">
            		<!-- CONTENT -->
            			<table cellpadding="0" cellspacing="0">
            				<tr><td class="txtheader" style="background-image: url('images/txtheader_bg.gif'); background-repeat: repeat-x;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td><td><img src="images/txtheader_right.gif"/></td></tr>
            			</table>
            			<div class="text"><xsl:apply-templates select="PAGE-CONTENT"/></div>
            		<!-- END CONTENT -->
            		
            		</TD>
            	</TR>
            	<TR>
            		<TD colspan="4" height="1" bgcolor="#8C9194"></TD>
            	</TR>
            	<TR>
            		<TD colspan="4" background="images/footer_bg.gif" height="44" align="center">		
            		<!-- BOTTOM-MENU -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td width="30"></td>
            					<xsl:call-template name="BOTTOM-MENU"/>	
								<td width="30"></td>
							</tr>
						</table>
            		<!-- END BOTTOM-MENU -->
            		</TD>
            	</TR>
            	<TR>
            		<TD colspan="4" height="65" align="center" class="footer">
            		<!-- FOOTER -->
            			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
            		<!-- END FOOTER -->
            		</TD>
            	</TR>
            </TABLE>
      </BODY>

      </HTML>

	</xsl:template>


	<!-- TOP-MENU -->
	<xsl:template name="TOP-MENU">
		<table cellpadding="0" cellspacing="0" border="0"><tr>
				<xsl:apply-templates select="MENU" mode="top"/>				
		</tr></table>
	</xsl:template>

	
	
<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td style="padding-left: 22px;"><img src="images/menu2_bullet.gif"/></td>
					<td height="24" width="100%" style="padding-left: 10px;"><span class="amenu2"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 22px"><a href="{@HREF}"><img src="images/menu2_bullet.gif" border="0"/></a></td>
					<td height="24" width="100%" style="padding-left: 10px;"><a href="{@HREF}" class="menu2"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
				<tr><td colspan="2" height="2" style="padding: 0 5px 0 5px;"><img src="images/menu2_hr.gif" border="0" alt="" width="100%" height="2"/></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>
	
<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="btmmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="btmmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="btmmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="10"></td>
			<td><img src="images/bullet_btm.gif"/></td>
			<td width="10"></td>
  		</xsl:if>
</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>


	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
