<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>


<body style="margin:0;" bgcolor="#FFFFFF">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="232" valign="top" background="images/top-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="137" style="background-image:url(images/headers.jpg); background-position:right; background-repeat:no-repeat;padding-left:100px;padding-right:100px;"><table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" hspace="8" border="0" alt=""/></a></div></td>
            <td><table width="500" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td valign="bottom" class="company"><!--Company-->
<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
<!--End Company--></td>
              </tr>
              <tr>
                <td valign="top" class="slogan"><!--Slogan-->
<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
<!--End Slogan--></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td background="images/menu-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="20%"><img src="images/left-1.gif" width="189" height="95" /></td>
            <td width="75%" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img name="" src="images/blank.gif" width="1" height="6" alt="" /></td>
                <td><img name="" src="images/blank.gif" width="1" height="1" alt="" /></td>
              </tr>
              <tr>
                <td width="2%"><img name="" src="images/blank.gif" width="1" height="56" alt="" /></td>
                <td width="98%"><table border="0"  height="56" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                     <!--Menu-->
 <xsl:call-template name="TOP-MENU"/>
<!--End Menu-->
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td></td>
                <td></td>
              </tr>
            </table></td>
            <td width="5%"><div align="right"><img src="images/left-2.gif" width="180" height="95" /></div></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" background="images/txt-bg-3.gif"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/txt-bg-2.gif">
        <tr>
          <td width="131" valign="top" style="background-image:url(images/txt-bg-4.gif); background-repeat:repeat-y; background-position:right;"><table width="100%"  border="0" cellpadding="0" cellspacing="0" background="images/submenubg3.gif">
              <tr>
                <td height="142" align="left" valign="top" style="background:url(images/submenubg1.gif) no-repeat; padding:52px 20px 0px 9px; ">
				<table width="96" border="0" cellspacing="0" cellpadding="0">
                    <!--Sub Menu-->
<xsl:call-template name="SUB-MENU">	<xsl:with-param name="pageID" select="@ID"/></xsl:call-template> 
                    <!--End Menu-->
                </table></td>
              </tr>
              <tr>
                <td height="61" background="images/submenubg2.gif"><spacer type="block" width="1" height="61" /></td>
              </tr>
          </table></td>
          <td height="100%" valign="top" style="background:url(images/content-top.gif) repeat-x;background-position:top;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background:url(images/corner.gif) no-repeat;">
              <tr>
                <td height="74"><table width="100%" height="74"  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td valign="bottom" style="padding-left:10px;"><table  border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td><img src="images/txt-header.gif" width="14" height="14" hspace="5" vspace="0" /></td>
                            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                          </tr>
                      </table></td>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td height="100%" valign="top" style="padding:18px 41px 40px 34px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td height="100%" valign="top" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                    </tr>
                </table></td>
              </tr>
          </table></td>
        </tr>
        <tr>
          <td background="images/bottom1.gif" ><div align="right"><img src="images/bottom2.gif" width="127" height="14" /></div></td>
          <td valign="top" background="images/bottom3.gif"><img src="images/bottom3.gif" width="1" height="14" /></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="62" background="images/footer-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><img name="" src="images/blank.gif" width="32" height="1" alt="" /></td>
    <td><table border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
         <!--bMenu-->
<xsl:call-template name="BOTTOM-MENU"/><!--End bMenu-->
      </tr>
    </table></td>
    <td><img name="" src="images/blank.gif" width="32" height="1" alt="" /></td>
  </tr>
</table>
</td>
  </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	
		<xsl:when test="@ID=/LAYOUT/@ID" >
		
		  <tr>
    
    <td  align="left" style="padding-left:20px;"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
  </tr>
		</xsl:when>
		
		<xsl:otherwise>	
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			  <tr>
   
    <td  align="left" style="padding-left:20px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
  </tr>
			</xsl:if>
			
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		  <tr>
    <td ><img src="images/submenu-hr.gif" width="96" height="1" vspace="4" /></td>
  </tr>
	</xsl:if>
	
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <xsl:otherwise>
 			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
            <td><img src="images/bmenu.gif" width="4" height="4" hspace="8" border="0" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
