<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">

        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="alltable" style="background-image: url('images/alltable_bgrpt.gif'); background-position: top right; background-repeat: repeat-x;">
        	<tr height="125">
        		<td>
       				<xsl:attribute name="style"><xsl:call-template name="TOP"/></xsl:attribute>
        			<table cellpadding="0" cellspacing="0" border="0">
        				<tr>
				        	<td align="center" style="padding-right:5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
				        	<td>
				        		<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
				        		<div class="slogan" style="margin:-6px 0px 0px 2px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
				        	</td>
				        </tr>
				    </table>
				</td>
			</tr>

        	<tr height="102">
        		<td style="background-image:url(images/menu_bgrpt.gif); background-position: top left; background-repeat: repeat-x;">
        			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="102">
        				<tr>
        					<td align="center" valign="top" style="background-image:url(images/2ndmenu_bg.jpg); background-position: top right; background-repeat: no-repeat;">
        						<table cellpadding="0" cellspacing="0" border="0">
        							<tr>
        								<td align="center">
        									<table cellpadding="0" cellspacing="0" border="0" height="48" class="menu-dark" style="background-image: url('images/menu_dark_bgrpt.gif'); background-position: bottom left; background-repeat: repeat-x;">
        										<tr>
        											<td>
        												<table cellpadding="0" cellspacing="0" border="0" height="48">
        													<tr>
																<td style="background-image:url(images/menu_dark_left.gif); background-position: bottom left; background-repeat: no-repeat;">
																	<div style="width:101px; height:0px;"><spacer type="block" width="101" height="1"/></div>
																</td>
															</tr>
        												</table>
													</td>
													<td>
								        				<!-- CALL TOP-MENU -->
								        				<xsl:call-template name="TOP-MENU"/>
													</td>
													<td>
								        				<table cellpadding="0" cellspacing="0" border="0" height="48" style="float:left;">
								        				<tr><td style="background-image:url(images/menu_dark_right.gif); background-position: bottom left; background-repeat: no-repeat;"><div style="width:97px; height:0px;"><spacer type="block" width="97" height="1"/></div></td></tr>
								        				</table>
								        			</td>
							        			</tr>
							        		</table>
        								</td>
        							</tr>
        							<tr>
						        		<td>
						        			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="29">
							        			<tr>
								        			<td style="background-image:url(images/2ndmenu_left.gif); background-position: top right; background-repeat: no-repeat;"><div style="width:121; height:0px;"><spacer/></div></td>
								        			<td width="100%" class="secondmenu-bg" style="background-image: url('images/2ndmenu_bgrpt.gif'); background-repeat: repeat-x;">
								        				<!-- CALL SUB-MENU -->
								        				<xsl:call-template name="SUB-MENU">
								        					<xsl:with-param name="pageID" select="@ID"/>
								        				</xsl:call-template>
								        			</td>
								        			<td style="background-image:url(images/2ndmenu_right.gif); background-position: top right; background-repeat: no-repeat;"><div style="width:198px; height:0px;"><spacer/></div></td>
							        			</tr>
						        			</table>
						        		</td>
        							</tr>
        						</table>
        					</td>
        				</tr>
        			</table>
        		</td>
        	</tr>

        	<tr height="100%">
        		<td name="SB_stretch" valign="top" style="background-image:url(images/text_bg.jpg); background-position: top right; background-repeat: no-repeat;">
        			<table cellpadding="0" cellspacing="0" border="0" width="100%">
        				<tr height="29">
				        	<td>
				        		<table cellpadding="0" cellspacing="0" border="0" height="29">
					        		<tr>
						        		<td style="padding:0px 0px 2px 55px; background-image: url('images/pageheader_bgrpt.gif'); background-repeat: repeat-x;" class="pageheader">
						        			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
						        		</td>
						        		<td style="background-image:url(images/pageheader_bg.gif); background-position: top left; background-repeat: no-repeat;"><div style="width:29px; height:0px;"><spacer/></div></td>
					        		</tr>
				        		</table>
				        	</td>
			        	</tr>
			        	<tr><td name="SB_stretch" valign="top" class="thatext" style="padding:21px 25px 10px 55px;"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr>
			        </table>
				</td>
			</tr>

	        <tr height="29">
		        <td class="bottommenu-bg" align="center" style="background-image: url('images/bottommenu_bgrpt.gif'); background-repeat: repeat-x;">
		        	<!--bottommenu /-->
		        		<!-- CALL BOTTOM-MENU -->
		        		<xsl:call-template name="BOTTOM-MENU"/>
		        	<!--/ bottommenu-->
		        </td>
	        </tr>

        	<tr height="48">
        		<td class="copy-bg" align="center" valign="top" style="padding-top:10px; background-image: url('images/copy_bgrpt.gif'); background-repeat: repeat-x;">
        			<table cellpadding="0" cellspacing="0" border="0">
        				<tr><td class="copy"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td></tr>
        			</table>
        		</td>
        	</tr>
        </table>

        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
			
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" border="0">
   				<tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
   				</tr>
   				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" border="0">
   				<tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
   				</tr>
   				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<xsl:template name="BOTTOM-MENU">
      	<table cellpadding="0" cellspacing="0" border="0">
	      	<tr>
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            	<td class="bottommenuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            	<td class="bottommenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </xsl:when>
            <xsl:otherwise>
            	<td class="bottommenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
        	<td class="bottommenudivider" style="background-image: url('images/bottommenu_divider.gif'); background-position: center center; background-repeat: no-repeat;"><div style="width:16px; height:0px;"><spacer/></div></td>
        </xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
