<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body bgcolor="#ffffff">
<table border="0" CELLPADDING="0" CELLSPACING="0" valign="top" width="100%" height="100%">
	<tr>
		<td valign="top" style="background-image: url(images/index_02.gif); background-repeat: repeat-x;">
			<table width="100%" height="131" border="0" cellpadding="0" cellspacing="0" valign="top" style="background-image: url(images/index_03.jpg); background-position: top right; background-repeat: no-repeat;">
				<tr>
					<td height="131" width="300" valign="top" style="background-image: url(images/index_01.jpg); background-position: top left; background-repeat: no-repeat; padding: 67px 9px 0 65px;">
						<!-- COMPANY -->
						<table cellpadding="0" cellspacing="0">
   							<tr>
   								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
   								<td class="text5" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
   							</tr>
   							<tr><td class="text6" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
   						</table>
						<!-- /COMPANY -->
					</td>
				</tr>
			</table>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" valign="top">
				<tr>
					<td height="62" width="247" valign="top" style="background-image: url(images/index_04.jpg); background-repeat: no-repeat;"><img src="images/spacer.gif" width="247" height="1" /></td>
					<td width="100%" valign="top" align="right" style="background-image: url(images/index_05.gif); background-repeat: repeat-x;"><img src="images/index_06.jpg" width="296" height="10" alt=""/></td>
					<xsl:call-template name="TOP2"/>
				</tr>		
			</table>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" valign="top" height="27">
				<tr>
					<td width="212" valign="top" style="background-image: url(images/index_08.jpg); background-repeat: no-repeat;"><img src="images/spacer.gif" width="212" height="1" /></td>
					<td width="100%" valign="top" style="padding-left: 0px; background-image: url(images/index_09.gif); background-repeat: repeat-x;" class="text3">
			 		<!-- CALL TOP-MENU -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<xsl:call-template name="TOP-MENU"/>						
							</tr>
						</table>
					</td>
					<xsl:call-template name="TOP3"/>
				</tr>		
			</table>
		</td>
	</tr>
	<tr>
		<td height="100%" width="100%" valign="top">
			<table border="0" CELLPADDING="0" CELLSPACING="0" valign="top" width="100%" height="100%">
				<tr>
					<td height="100%" width="160" valign="top">
						<table border="0" CELLPADDING="0" CELLSPACING="0" valign="top" width="160" height="100%">
							<tr>
								<td height="17" width="160" style="background-image: url(images/index_17.gif); background-repeat: repeat-x;" align="right"><img src="images/index_19.gif" width="55" height="17" alt=""/></td>
							</tr>
							<tr>
								<td height="160" width="160" style="padding-bottom: 10px;padding-top: 26px;padding-right: 40px;padding-left: 17px; background-image: url(images/index_24.gif); background-repeat: repeat-x;" class="text4">
								<!-- CALL SUB-MENU -->
								<table cellpadding="0" cellspacing="0" width="97" align="center" summary="">
									<xsl:call-template name="SUB-MENU">
										<xsl:with-param name="pageID" select="@ID"/>
									</xsl:call-template>
								</table>
								</td>
							</tr>
							<tr>
								<td height="100%" width="160"></td>
							</tr>
						</table>
					</td>
					<td width="100%" valign="top">
						<table border="0" CELLPADDING="0" CELLSPACING="0" valign="top" width="100%" height="100%">
							<tr>
								<td height="101" colspan="4" valign="top"  class="sch_bg1" align="right" style="background-image: url('images/index_20.jpg'); background-repeat: no-repeat;">
									<xsl:call-template name="TOP4"/>
								</td>
							</tr>
							<tr>
								<td height="17" colspan="4" class="sch_bg"><img src="images/index_33.jpg" width="271" height="17" alt=""/></td>
							</tr>
							<tr>
								<td height="100%" width="1" bgcolor="#d9d9d9"><img src="images/spacer.gif" width="1" height="1" /></td>
								<td width="620" bgcolor="#f2f2f2" class="text1" style="padding-bottom: 10px;padding-top: 10px;padding-right: 5px;padding-left: 20px;">
								<h1><img src="images/bulet.gif" width="6" height="7" alt="" style="vertical-align: middle;" />&#160;&#160;<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></h1><br />
								<xsl:apply-templates select="PAGE-CONTENT"/>
								</td>
								<td bgcolor="#f2f2f2"></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="87" width="100%" colspan="2" style="padding-left: 212px; background-image: url(images/index_53.gif); background-repeat: repeat-x;">
			<font class="text3"><img src="images/spacer.gif" width="1" height="20" /><br />
			<!-- CALL BOTTOM-MENU -->
			<xsl:call-template name="BOTTOM-MENU"/>
			</font><br /><br />
			<font class="text2" style="font-size: 8pt;">
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
			</font>
		</td>
	</tr>
</table>
        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   				
   				
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  
    					
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<a href="{@HREF}" style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>		
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<span style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>		
            </xsl:when>
            <xsl:otherwise>
				<a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>		
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
			<img src="images/index_58.gif" width="17" height="10" alt=""/>
        </xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
