<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
        <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="sch_bg">
          <tr>
            <td height="114" align="right" valign="top" background="images/index_02.jpg" style="padding:0px 3px 0px 0px">
              <table width="777" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                   <td align="left" valign="top">
                     <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                       <td height="26" align="left" valign="top">
			           	<xsl:call-template name="TOP1"/>
        			   </td>
                      </tr>
                      <tr>
                        <td height="54" align="left" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr align="left" valign="top"> 
                              <td width="105"><img src="images/index_03.jpg" width="105" height="54"/></td>
                              <td width="57"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                              <td valign="middle" style="background-image: url('images/index_05-over.jpg');">
                                <font class="SloganBig"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></font><br />
                                <font class="SloganSmall" style="margin:0px 0px 0px 5px"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></font><br />
        					  </td>
                            </tr>
                          </table></td>
                      </tr>
                      <tr>
                        <xsl:call-template name="TOP3"/>
                      </tr>
                    </table> 
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="8" align="right" valign="top" background="images/index_10.jpg">
              <table width="777" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr> 
                  <td width="491" align="left" valign="top"><img src="images/index_10.jpg" width="3" height="8"/></td>
                  <xsl:call-template name="TOP4"/>
                  <td width="106" align="left" valign="top"><img src="images/index_10.jpg" width="3" height="8"/></td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="36" align="left" valign="top" background="images/index_15.jpg">
              <table class="MnuItem" width="100%" height="36" border="0" cellpadding="0" cellspacing="0">
                <tr> 
                  <td width="27" align="left" valign="top"><div style="width:27px; height:1px;"><spacer type="block" width="27" height="1" /></div></td>
                  
                  <!-- CALL TOP-MENU -->
                  <xsl:call-template name="TOP-MENU"/>


                  <td align="left" valign="middle" width="100%">&#160;</td>
	                  <xsl:call-template name="TOP5"/>
                  <td width="105" align="left" valign="top"><div style="width:105px; height:1px;"><spacer type="block" width="105" height="1" /></div></td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="140" align="left" valign="top" background="images/index_21.jpg">
        	  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr> 
                  <td width="491" align="left" valign="top">
                  <xsl:attribute name="background"><xsl:call-template name="TOP6"/></xsl:attribute>
        		    <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td style="padding:47px 0px 0px 300px"><font class="Welcome">WELCOME TO OUR WEBSITE!</font></td>
                      </tr>
                    </table>
        		  </td> 
                  <td height="140" align="left" valign="top" >&#160;</td>
                    <xsl:call-template name="TOP7"/>
                </tr>
              </table> </td>
          </tr>
          <tr>
            <td align="left" valign="top"><table class="Text" width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr> 
                  <td align="left" valign="top" style="background-image: url('images/index_23-over.jpg'); background-repeat: repeat-x; background-position: left top;">
                    <table width="100%" height="220" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/index_25-over.jpg');	background-repeat: no-repeat; background-position: right top;">
                      <tr> 
                        <td align="left" valign="top" style="padding: 38px 19px 15px 0px"> 
                          <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr> 
                              <td align="left" valign="top" style="padding: 0px 0px 13px 32px"> 
                                <img src="images/index_49.jpg" width="5" height="5" align="absmiddle" style="margin-right:5px;"/> 
                                <strong><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></strong></td>
                            </tr>
                            <tr> 
                              <td align="left" valign="top" style="padding: 0px 0px 0px 38px"> 
                                <div  align="justify" class="Text">
                                	<xsl:apply-templates select="PAGE-CONTENT"/>
                                </div>
                              </td>
                            </tr>
                          </table></td>
                      </tr>
                    </table>
                  </td>
                  <td width="163" align="left" valign="top" background="images/index_40.jpg">
                    <table width="100%" height="220" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/index_26-over.jpg'); background-repeat: no-repeat;">
                      <tr> 
                        <td width="163" align="left" valign="top" style="padding:32px 0px 0px 19px"> 
                        	<!-- CALL SUB-MENU -->
                        	<xsl:call-template name="SUB-MENU">
                        		<xsl:with-param name="pageID" select="@ID"/>
                        	</xsl:call-template>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table> </td>
          </tr>
          <tr>
            <td height="71" align="left" valign="top" background="images/index_55.jpg">
              <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr> 
                  <td height="71" align="left" valign="top" background="images/index_53.jpg"> 
                    <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td height="33" align="left" valign="top">
                        	<!-- CALL BOTTOM-MENU -->
                        	<xsl:call-template name="BOTTOM-MENU"/>
                       	</td>
                      </tr>
                      <tr>
                        <td align="left" valign="top" class="Lnk" style="padding:10px 0px 0px 39px"> 
                        	<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td width="163" height="71" align="left" valign="top"><img src="images/index_53.jpg" width="1" height="71"/></td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
        </body>
		</html>
	</xsl:template>

   				
	<!--TOP-MENU-->
   				
   				
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  
    					
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				
	<xsl:template name="BOTTOM-MENU">
         <table height="100%" border="0" cellpadding="0" cellspacing="0" class="MnuItem">
           <tr align="center" valign="middle"> 
           	<td width="39">&#160;</td>
			<xsl:apply-templates select="MENU" mode="bottom"/>			
           </tr>
         </table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		        <td align="left"><a href="{@HREF}" style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		        <td align="left"><span style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
            </xsl:when>
            <xsl:otherwise>
		        <td align="left"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
        	<td width="5"></td>
            <td width="12"><img src="images/index_57.jpg" width="12" height="7"/></td>
        	<td width="5"></td>
        </xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
