<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
   				<td><img src="images/amenu_lseparator.gif" /></td>
   				<td width="5" style="background-image: url('images/amenu_bg.gif');"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
   				<td style="background-image: url('images/amenu_bg.gif');"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td width="5" style="background-image: url('images/amenu_bg.gif');"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
   				<td><img src="images/amenu_lseparator.gif" /></td>
   				<td width="5" style="background-image: url('images/amenu_bg.gif');"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
   				<td style="background-image: url('images/amenu_bg.gif');"><span class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
   				<td width="5" style="background-image: url('images/amenu_bg.gif');"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
            </xsl:when>
            <xsl:otherwise>
   				<td width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>	
   				<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
			<xsl:if test="not(../MENU-ITEM[$position+1]/MENU-ITEM[@ID=/LAYOUT/@ID] or ../MENU-ITEM[$position+1][@ID=/LAYOUT/@ID])">
   				<td><img src="images/menu_separator.gif" /></td>	
   			</xsl:if>
   		</xsl:if>
	</xsl:template>

	
	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
   				<tr>	
   					<td width="35"><span style="width:35px; height:1px;"><spacer type="block" width="35" height="1"/></span></td>	
   					<td width="9">						
   						<img src="images/submenu_bullet.gif"/>						
   					</td>
   					<td width="5"><span style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></span></td>
   					<td height="16" width="117"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>	
   				</tr>	
   				<xsl:if test="position()!=last()">
     				<tr><td height="2" colspan="4"><span style="width:17px; height:1px;"><spacer type="block" width="17" height="1"/></span><img src="images/submenu_hr.gif"/></td></tr>
	   			</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
     				<tr>
     					<td width="35"><span style="width:35px; height:1px;"><spacer type="block" width="35" height="1"/></span></td>	
     					<td width="9">						
     						<a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a>						
     					</td>
     					<td width="5"><span style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></span></td>
     					<td height="16" width="117"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>					
     				</tr>
    				<xsl:if test="position()!=last()">
	     				<tr><td height="2" colspan="4"><span style="width:17px; height:1px;"><spacer type="block" width="17" height="1"/></span><img src="images/submenu_hr.gif"/></td></tr>
	 	   			</xsl:if>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
