<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="white">
        	<TR>
        		<TD colspan="2" width="780" height="272" valign="top" align="center">
        		<xsl:attribute name="style"><xsl:call-template name="TOP"/></xsl:attribute>
        		<!-- HEADER -->
        		<!-- LOGO -->
        			<table cellpadding="0" cellspacing="0" style="margin-top: 63px;" align="center" height="51">
        				<tr>
        					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px"/></a></td>
        					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        				</tr>
        				<tr>
        					<td class="slogan" valign="top" align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        				</tr>
        			</table>
        		<!-- END LOGO -->
        		<!-- MENU -->
        			<table cellpadding="0" cellspacing="0" align="center" style="margin-top: 39px;" height="43" width="505" border="0">
        				<tr>
        					<td width="49" valign="top"><img src="images/menu_lbg.gif"/></td>
        					<td width="100%" valign="top" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">

        					<!-- CALL TOP-MENU -->
        					<xsl:call-template name="TOP-MENU"/>

        					</td>
        					<td width="49" valign="top"><img src="images/menu_rbg.gif"/></td>
        				</tr>
        			</table>			
        		<!-- END MENU -->
        		<!-- TEXT HEADER -->
        			<table cellpadding="0" cellspacing="0" style="margin-top: 50px;" align="left" height="10">				
        				<tr>
        					<td width="170"></td>
        					<td><img src="images/txtheader_bullet.gif" style="margin-right: 5px;"/></td>
        					<td class="text-header" valign="top" align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        				</tr>
        			</table>
        		<!-- END TEXT HEADER -->
        		<!-- END HEADER -->
        		</TD>
        	</TR>

        	<TR>
        		<TD valign="top" width="166" height="100%">
        		<!-- SUBMENU -->

       				<!-- CALL SUB-MENU-->
					<table cellpadding="0" cellspacing="0" width="166" style="background-image: url('images/submenu_bg.gif');">						
		   				<tr><td colspan="4" height="35"></td></tr>
	       				<xsl:call-template name="SUB-MENU">
	       					<xsl:with-param name="pageID" select="@ID"/>
	       				</xsl:call-template>	
		   				<tr><td colspan="4"><img src="images/submenu_bbg.gif"/></td></tr>
					</table>


        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="614" height="100%">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="540" style="margin: 17px 5px 20px 12px;">
        				<tr>
        					<td width="540" class="text">

								<xsl:apply-templates select="PAGE-CONTENT"/>

        					</td>
        				</tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="104" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;" valign="top" align="center">
        		<!-- FOOTER -->

        		<!-- BOTTOM MENU -->

   					<!--CALL BOTTOM-MENU -->
   					<xsl:call-template name="BOTTOM-MENU"/>

        		<!-- END BOOTTOM MENU -->		

        			<table cellpadding="0" cellspacing="0" align="center" style="margin-top: 40px;">
        				<tr><td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td></tr>
        			</table>

        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-->


	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" style="margin-top: 2px;" align="center" height="40" border="0">
   			<tr>						
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>
  


	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
					   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>


	<xsl:template name="BOTTOM-MENU">
   		<table cellpadding="0" cellspacing="0" align="center" style="margin-top: 10px;" height="21">
   			<tr>	
    			<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    				<td width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>	
    				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    				<td width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
    				<td width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
    				<td><span class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
    				<td width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
                </xsl:when>
                <xsl:otherwise>
    				<td width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
    				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    				<td width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
   				<td><img src="images/footer_separator.gif"/></td>
			</xsl:if>
	</xsl:template>



	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
