<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <!--MENU-->
  <xsl:template match="MENU" mode="top">
    <xsl:apply-templates select="MENU-ITEM"  mode="top"/>
  </xsl:template>

  <!--MENU-ITEM-->
  <xsl:template match="MENU-ITEM"  mode="top">
    <xsl:choose>
      <!-- active menu with link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <tr>
          <td style="padding-left:8px">
            <a href="{@HREF}" class="menu">
              <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
            </a>
          </td>
          <td width="30px" height="30px" align="center" valign="middle">
            <a href="{@HREF}">
              <img src="images/VAP-24_button.gif" border="0"/>
            </a>
          </td>
        </tr>
      </xsl:when>
      <!-- active menu without link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <tr>
          <td style="padding-left:8px" class="menu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
          <td width="30px" height="30px" align="center" valign="middle">
            <img src="images/VAP-24_button.gif" border="0"/>
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <tr>
          <td style="padding-left:8px">
            <a href="{@HREF}" class="amenu">
              <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
            </a>
          </td>
          <td width="30px" height="30px" align="center" valign="middle">
            <a href="{@HREF}">
              <img src="images/VAP-24_button.gif" border="0"/>
            </a>
          </td>
        </tr>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td colspan="2" height="1px" class="menu-hr">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
