<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
        <TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="#FFFFFF">
        	<TR>
        		<!-- MENU -->
        		<!-- CALL TOP-MENU -->
        		<xsl:call-template name="TOP-MENU"/>
        		<!-- END MENU -->
        	</TR>
        	<TR>
        		<TD colspan="2" width="100%" height="178" style="background: url('images/hbg.gif') repeat-x;">
        		<!-- LOGO -->
        			<table cellpadding="0" cellspacing="0" height="178" width="100%" style="background: url('images/header.jpg') top right no-repeat;">
        				<tr>
        					<td style="padding-left: 40px; background: url('images/hlbg.gif') no-repeat;">
        						<table cellpadding="0" cellspacing="0">
        							<tr>
        								<td><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
        								<td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        							</tr>
        						</table>						
        					</td>
        					<td align="right" class="slogan" style="padding-left: 10px; padding-right: 250px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        				</tr>
        			</table>
        		<!-- END LOGO -->
        		</TD>
        	</TR>	
        	<TR>
        		<TD valign="top" width="216" height="100%">
        		<!-- SUBMENU -->
        			<table cellpadding="0" cellspacing="0" width="216" height="187" style="background: url('images/submenu_bg.gif') repeat-y;">
        				<tr>
        					<td style="background: url('images/submenu_bbg.gif') bottom no-repeat;" valign="top">
        					<!-- CALL SUB-MENU -->
        					<xsl:call-template name="SUB-MENU">
        						<xsl:with-param name="pageID" select="@ID"/>
        					</xsl:call-template>
        					</td>
        				</tr>
        			</table>
        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="100%" height="100%">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="100%">
        				<tr><td height="7"></td></tr>
        				<tr>
        					<td height="32">
        						<table cellpadding="0" cellspacing="0" height="32">
        							<tr>
        								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
										<td><img src="images/ap.gif" hspace="5"/></td>
        								<td width="60"></td>
        							</tr>
        						</table>
        					</td>
        				</tr>
        				<tr><td height="10"></td></tr>
        				<tr>
        					<td style="padding-right: 80px;">
        						<table cellpadding="0" cellspacing="0" width="100%">
        							<tr>
        								<td width="100%" class="text">
        									<xsl:apply-templates select="PAGE-CONTENT"/>
        								</td>
        							</tr>
        						</table>	
        					</td>
        				</tr>
        				<tr><td height="20"></td></tr>				
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="100%" height="29" bgcolor="#AEAEAE">
        		<!-- BOTTOM MENU -->
        			<table cellpadding="0" cellspacing="0" align="center">
        				<tr>
        					<td>
        					<!-- CALL BOTTOM-MENU -->
        					<xsl:call-template name="BOTTOM-MENU"/>
        					</td>
        				</tr>
        			</table>
        		<!-- END BOOTTOM MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="100%" height="30" bgcolor="#AEAEAE" class="footer" align="center" valign="top">
        		<!-- FOOTER -->
        			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
        </BODY>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   						
   				
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="155" style="margin-left: 35px;">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
    			</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="155" style="margin-left: 35px;">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
    			</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				
	<xsl:template name="BOTTOM-MENU">
   		<table cellpadding="0" cellspacing="0" align="center">
   			<tr>		
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
   				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
   				<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </xsl:when>
            <xsl:otherwise>
   				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
   			<td width="10"></td>
   			<td><img src="images/bmenu_separator.gif" border="0"/></td>
   			<td width="10"></td>
        </xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
